### Method

# Json Object foreach_member

since: 0.8

#### Declaration [src]

    void
    json_object_foreach_member (
      JsonObject* object,
      JsonObjectForeach func,
      gpointer data
    )

#### Description [src]

Iterates over all members of `object` and calls `func` on each one of them.

It is safe to change the value of a member of the oobject from within the iterator function, but it is not safe to add or remove members from the object.

The order in which the object members are iterated is the insertion order.

Available since: 0.8

#### Parameters

`func`

  Type: `JsonObjectForeach`

  The function to be called on each member.

`data`

  Type: `gpointer`

  Data to be passed to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.